# Asterisk Project : Asterisk 12 Application_AlarmReceiver

Added by wikibot , edited by wikibot on Aug 29, 2013

# AlarmReceiver()

### Synopsis

Provide support for receiving alarm reports from a burglar or fire alarm panel.

### Description

This application should be called whenever there is an alarm panel calling in to dump its events. The application will handshake with the alarm panel, and receive events, validate them, handshake them, and store them until the panel hangs up. Once the panel hangs up, the application will run the system command specified by the eventcmd setting in `alarmreceiver.conf` and pipe the events to the standard input of the application. The configuration file also contains settings for DTMF timing, and for the loudness of the acknowledgement tones.

Note

Few Ademco DTMF signalling formats are detected automaticaly: Contact ID, Express 4+1, Express 4+2, High Speed and Super Fast.

The application is affected by the following variables:

- `ALARMRECEIVER_CALL_LIMIT` - Maximum call time, in milliseconds.
  If set, this variable causes application to exit after the specified time.
- `ALARMRECEIVER_RETRIES_LIMIT` - Maximum number of retries per call.
  If set, this variable causes application to exit after the specified number of messages.

### Syntax

    AlarmReceiver()

##### Arguments

### See Also

- `alarmreceiver.conf`

### Import Version

This documentation was imported from Asterisk Version Unknown